$(function () {
    $('#select-servidor').select2({
        ajax: {
            url: $('#hidden-route-busca').val(),
            dataType: 'json',
            data: function (params) {
                return {
                    busca: params.term,
                    page: params.page,
                };
            },
            processResults: function (data) {
                return {
                    results: data
                };
            }
        },
        minimumInputLength: 3,
        language: {
            inputTooShort: function () {
                return "Digite 3 ou mais caracteres para buscar a servidor";
            }
        }
    });
});